Page MenuHomePhabricator

generalize extension submodule handling
Closed, ResolvedPublic

Description

There is special code in the CI to handle the submodules of the VisualEditor Mediawiki extension. We should generalize that for all extensions or make VisualEditor stop using submodules.

This task was created after: https://gerrit.wikimedia.org/r/#/c/262432/
See also: T51846

List of potentially affected extensions:

$ cd projects/mediawiki/extensions
$ ls -1 */.gitmodules|cut -d\/  -f1
Extension
CollectionPass
EventLoggingPass
FlickrAPIT154847
GooglePlacesT154848
Html2WikiMissing files
LinkSuggest2T155773
MementoFIXED
PagesListT154930
PaginateTextT154935
SpreadsheetSome .gif not existing (wrong path?)
VisualEditorhack in place
WidgetsFIXED!
Skin
RefreshedT154806

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2016, 10:04 PM
hashar added a subscriber: hashar.Jul 18 2017, 1:07 PM

We had T84942 to add submodule support in zuul-cloner.

We do process the submodule for mediawiki/extensions/VisualEditor via a hack in the Jenkins job configuration:

jjb/mediawiki-extensions.yaml
# Workaround zuul-cloner not processing submodules
- builder:
    name: ve-submodules-update
    builders:
     - shell: |
         if grep -q mediawiki/extensions/VisualEditor deps.txt; then
            cd src/extensions/VisualEditor
            git submodule foreach git clean -xdff -q
            git submodule update --init
            git submodule status
         fi

An alternative is to glob all extensions/skins and run the above command whenever there is a .gitmodules file. That would fix it for all repos.

hashar updated the task description. (Show Details)Jul 18 2017, 1:11 PM

Change 369642 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Process extensions and skins submodules

https://gerrit.wikimedia.org/r/369642

hashar claimed this task.Aug 2 2017, 12:58 PM
hashar moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.

Change 369642 merged by jenkins-bot:
[integration/config@master] Process extensions and skins submodules

https://gerrit.wikimedia.org/r/369642

Change 369647 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Make some extensions jobs voting

https://gerrit.wikimedia.org/r/369647

Change 369649 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Process git modules recursively

https://gerrit.wikimedia.org/r/369649

hashar updated the task description. (Show Details)Aug 2 2017, 1:47 PM

Change 369649 merged by jenkins-bot:
[integration/config@master] Process git modules recursively

https://gerrit.wikimedia.org/r/369649

Change 369647 merged by jenkins-bot:
[integration/config@master] Make some extensions jobs voting

https://gerrit.wikimedia.org/r/369647

hashar closed this task as Resolved.Aug 2 2017, 1:51 PM

extensions and skins now have their submodules process recursively.

That fixed Widgets and probably some of the parent tasks as well.